Bug 195943 - [patch] unbreak graphics/evince build on FreeBSD 8
Summary: [patch] unbreak graphics/evince build on FreeBSD 8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Don Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-13 09:49 UTC by Don Lewis
Modified: 2015-04-11 18:06 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch to unbreak evince build on FreeBSD 8 (410 bytes, patch)
2014-12-13 09:49 UTC, Don Lewis
no flags Details | Diff
patch to unbreak evince build on FreeBSD 8 (462 bytes, patch)
2014-12-16 23:21 UTC, Don Lewis
no flags Details | Diff
simpler patch to unbreak evince build on FreeBSD 8 (626 bytes, patch)
2014-12-17 22:28 UTC, Don Lewis
no flags Details | Diff
patch to remove evince BROKEN tag (330 bytes, patch)
2015-03-31 23:17 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Lewis freebsd_committer 2014-12-13 09:49:47 UTC
Created attachment 150539 [details]
patch to unbreak evince build on FreeBSD 8

The build of graphics/evince on FreeBSD 8 fails:

gmake[2]: Entering directory '/wrkdirs/usr/ports/graphics/evince/work/evince-3.14.1/browser-plugin'
  GEN      EvBrowserPluginResources.c
  CXX      libevbrowserplugin_la-EvBrowserPluginToolbar.lo
  CXX      libevbrowserplugin_la-EvBrowserPluginMain.lo
  CC       libevbrowserplugin_la-EvBrowserPluginResources.lo
  CXX      libevbrowserplugin_la-EvBrowserPlugin.lo
  CXXLD    libevbrowserplugin.la
libtool: link: only absolute run-paths are allowed
Makefile:618: recipe for target 'libevbrowserplugin.la' failed
gmake[2]: *** [libevbrowserplugin.la] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/graphics/evince/work/evince-3.14.1/browser-plugin'
Makefile:704: recipe for target 'all-recursive' failed
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/graphics/evince/work/evince-3.14.1'
Makefile:568: recipe for target 'all' failed
gmake: *** [all] Error 2


Comparing config.log for FreeBSD 8 and FreeBSD 10, I found this difference:

FreeBSD 8:
BROWSER_PLUGIN_DIR='${libdir/mozilla/plugins}'

FreeBSD 10:
BROWSER_PLUGIN_DIR='${libdir}/mozilla/plugins'

The former looks incorrect, probably due to an unpatched shell bug in FreeBSD 8,
so I decided to try setting CONFIG_SHELL to bash in the port Makefile, which avoided the shell bug and allowed the build to succeed.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-13 09:49:47 UTC
Auto-assigned to maintainer gnome@FreeBSD.org
Comment 2 Don Lewis freebsd_committer 2014-12-16 23:21:50 UTC
Created attachment 150657 [details]
patch to unbreak evince build on FreeBSD 8

Check OPSYS in addition to OSVERSION.
Comment 3 Don Lewis freebsd_committer 2014-12-17 22:28:48 UTC
Created attachment 150696 [details]
simpler patch to unbreak evince build on FreeBSD 8

This is a simpler fix for the build problem suggested by Jan Beich <jbeich@vfemail.net> here: <https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196041>.
Comment 4 Don Lewis freebsd_committer 2015-03-31 23:17:31 UTC
Created attachment 155069 [details]
patch to remove evince BROKEN tag

The original issue was fixed upstream.  Now that the port has been upgraded to 3.14.2, which includes the upstream fix. we only have to remove the BROKEN tag from the Makefile.
Comment 5 commit-hook freebsd_committer 2015-04-11 17:32:23 UTC
A commit references this bug:

Author: truckman
Date: Sat Apr 11 17:31:48 UTC 2015
New revision: 383818
URL: https://svnweb.freebsd.org/changeset/ports/383818

Log:
  The problem causing the build breakage on FreeBSD 8 was fixed
  upstream, but the BROKEN tag was never removed from the port.
  Remove the flag.

  PR:		195943
  Differential Revision:	https://reviews.freebsd.org/D2280
  Reviewed by:	kwm
  Approved by:	mat (mentor)

Changes:
  head/graphics/evince/Makefile